# Ensembl Core API

[![Build Status](https://travis-ci.org/Ensembl/ensembl.svg?branch=release/112)][travis]
[![Coverage Status](https://coveralls.io/repos/github/Ensembl/ensembl/badge.svg?branch=release/112)][coveralls]

[travis]: https://travis-ci.org/Ensembl/ensembl
[coveralls]: https://coveralls.io/github/Ensembl/ensembl

The Ensembl Core API (Application Programming Interface) serves as a middle layer between the underlying MySQL database and the user's script. It aims to encapsulate the database layer by providing high level access to the database.

Find more information (including the installation guide and a tutorial) on the Ensembl website: http://www.ensembl.org/info/docs/api/core/


## Download
To clone the Ensembl Core API, use the following command:

```
git clone https://github.com/Ensembl/ensembl.git
```
Alternatively, you can download the files in gzipped TAR format from our [FTP site](https://ftp.ensembl.org/pub/ensembl-api.tar.gz).

## API requirements
In order to use the Ensembl Core API, an installation of [BioPerl 1.6.924 core modules](https://github.com/bioperl/bioperl-live/archive/release-1-6-924.zip) (bioperl-live) is required.

A guide for installing all Ensembl APIs and their respective prerequisites is available here:
http://www.ensembl.org/info/docs/api/api_installation.html

## API tutorial
An extensive tutorial for the Ensembl Core API can be found at:

http://www.ensembl.org/info/docs/api/core/core_tutorial.html

## Contributions

If you wish to contribute to this repository or any Ensembl repository, please refer to [our contribution guide](https://github.com/Ensembl/ensembl/blob/main/CONTRIBUTING.md).


## Contact us
Please email comments or questions to the public Ensembl developers list at

<http://lists.ensembl.org/mailman/listinfo/dev>.

Questions may also be sent to the Ensembl help desk at

<http://www.ensembl.org/Help/Contact>.
